<?php
/**
 * @file
 * @brief       The plugin cinecturlink2 definition
 * @ingroup     cinecturlink2
 *
 * @defgroup    cinecturlink2 Plugin cinecturlink2.
 *
 * Widgets and pages about books, musics, films, blogs you are interested in
 *
 * Taken from cinecturlink for Dotclear 1
 * By Tigroux and Brol
 * Under GNU GPL 2.0 license
 *
 * @author      Jean-Christian Denis (author)
 * @copyright   GPL-2.0 https://www.gnu.org/licenses/gpl-2.0.html
 */
declare(strict_types=1);

$this->registerModule(
    'Cinecturlink 2',
    'Widgets and pages about books, musics, films, blogs you are interested in',
    'Jean-Christian Denis and Contributors',
    '2.3.1',
    [
        'requires'    => [['core', '2.28']],
        'settings'    => ['blog' => '#params.' . basename(__DIR__) . '_params'],
        'permissions' => 'My',
        'type'        => 'plugin',
        'support'     => 'https://git.dotclear.watch/JcDenis/' . basename(__DIR__) . '/issues',
        'details'     => 'https://git.dotclear.watch/JcDenis/' . basename(__DIR__) . '/src/branch/master/README.md',
        'repository'  => 'https://git.dotclear.watch/JcDenis/' . basename(__DIR__) . '/raw/branch/master/dcstore.xml',
    ]
);
